Subject: Re: [manet] Question regarding Mobility

From: [email-masked]
Date: Tue, 02 Dec 2003 11:32:10 -0800

Chris,

Although I agreed in an earlier post that symmetry of movement
is sufficient for maintaining a uniform distribution of the 
node position in the square (for the random walk billiards model),
this is not a necessary condition.  (You are probably aware of
this, and this does not contradict what you said, but I want to 
point this out to others).

For example, if the node is initially placed uniformly, and
initially travels to the right, then bounces off the right side, 
then travels to the left, then bounces off the left side,
etc., then the node position is still uniform at all times
(because of its initial random placement).

In other words, if the direction of movement changes according
to each reflection, then we still have a uniform distribution.
This is the real billiards model, and I wanted to make the point
that the billiards model gives a uniform distribution even if
the node never changes direction randomly.
(In the example you gave, the node always travels to the right,
which is not what a billiards ball would do.)

It would be good to define the most general billiards model that
maintains a uniform distribution.  Deterministic changes in
direction are allowed, as long as each change is relative to
the current direction (e.g., turn right after 10 sec).
Random changes that are not symmetric in the two axes are 
also allowed, as long as each change is relative to the
current direction (e.g., choose a random direction between
45 degrees to the left and 45 degrees to the right).

Richard

> > > > Actually, we only need to consider a single node, and 
> > show that it is
> > > > uniformly distributed in the square.  Thus, even though Philippe's
> > > > explanation is accurate, I don't think it is necessary to 
> > talk about
> > > > a Poisson distribution.   Allowing the single node to 
> > travel straight
> > > > through boundaries, we only need to show that it is uniformly
> > > > distributed in whatever "clone" of the square it happens to be in
> > > > at any time.   I think this follows simply because the node is
> > > > initially placed uniformly, and its movements are independent of
> > > > its location.
> > >
> > > It doesn't travel through walls, it bounces off them, so we need to
> > > apply some reflections, and we need basic symmetry 
> > properties (left/right,
> > > up/down).
> > >
> > > Otherwise consider a node which always picks its next destination a
> > > short distance away to the right, regardless of position. 
> > It will keep
> > > hitting the right wall, bouncing, doing the same again and always be
> > > close to the right wall, i.e. not uniform.
> > 
> > Good point.  But I am talking about the probability 
> > distribution at any
> > point in time.
> 
> So am I. Suppose that all nodes have the above skewed distribution
> of movement. Then, regardless of initial uniform distribution, all
> will end up near the right wall, not uniformly distributed.
> 
> > Even if the node never moves, it's position is still
> > uniform because it was placed that way.
> 
> Not moving is symmetric!
> 
> Of course the main point you make is important: you need a uniform
> initial distribution. I think that and symmetry of movement (in
> two axes) is then sufficient for a uniform distribution at all
> future times. I haven't rigorously proved it however (a proof
> would be based on equivalent positions, with reflection).
> 
> ********************************************************************
> This email and any attachments are confidential to the intended
> recipient and may also be privileged. If you are not the intended
> recipient please delete it from your system and notify the sender.
> You should not copy it or use it for any purpose nor disclose or
> distribute its contents to any other person.
> ********************************************************************

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Philippe Jacquet" <[email-masked]>
Date: Fri, 5 Dec 2003 18:26:54 +0100

Chris, Richard,

The uniform distribution should hold for a very large class of billard model
provided node motion are independent of node positions (in the multi-mirror
square image model). For example the model where nodes randomly change
motion after a random time or a random distance. The case where the nodes
never change direction (excepted on reflection) holds too. No need of
symmetry. However this should not be confused with the property that the
succesive locations of a given single node could uniformly cover the whole
square, this needs more conditions.

Philippe